﻿using BA.Core.CustomAttributes;
using BA.Core.DB;
using BA.Training.CustomAttributes.Validations;
using BA.Training.DB;
using BA.Training.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BA.Training.OrmEvents
{
    [BAOrmEvents(typeof(OrmEngine))]
    public class SetDefaultEngineType : BAOrmEventsBase
    {
        public override void OnCreated(OrmBABase orm)
        {
            OrmEngine engine = (OrmEngine)orm;
            engine.SetEnumValue(nameof(OrmEngine.Type), EnumEngineTypes.MechanicalPress);
        }

        public override void OnOrmValidateModel(OrmBABase orm, ref Exception e)
        {
            OrmEngine engine = (OrmEngine)orm;
            if (engine.Type == null)
            {
                engine.ModelState.AddModelError(nameof(OrmEngine.Type), "Jede Maschine muss einen Typ haben.");
            }
        }
    }
}