declare module BA.Ui.Actions {
    export class FormActions {
        /**
         * Form action - SetActive
         */
        static ClientActionSetActive(event: any, customData: CustomData): void;
        /**
         * Form action - SetInactive
         */
        static ClientActionSetInactive(event: any, customData: CustomData): void;
        /**
         * Helper method to set the active state of the record(s)
         * @param idS List of guids
         * @param state Active state
         */
        private static ActionHelperFormSetActive;
        /**
         * Save the current form (it simple clicks the submit button)
         */
        static ClientActionFormSave(event?: any, customData?: CustomData): void;
        /**
         * Save the current form and close it after success
         */
        static ClientActionFormSaveAndClose(event: any, customData: CustomData): void;
        /**
         * Save the current form and close it after success
         */
        static ClientActionFormSaveAndReadMode(event: any, customData: CustomData): void;
        /**
         * Enables current form's editing (it simple clicks the submit button after setting the corresponding property in the form)
         */
        static ClientActionFormEditMode(event?: any, customData?: CustomData): void;
        /**
         * Cancels current form's editing (it simple clicks the submit button after setting the corresponding property in the form)
         */
        static ClientActionFormReadMode(event?: any, customData?: CustomData): void;
        /**
         * Create new related record with additional relation. START
         * @param e
         * @param customData
         */
        static ClientActionNewRelatedRecordWithAdditionalRelation(event: any, customData: CustomData): void;
        /**
         * Create new related record with additional relation. CALLBACK
         * @param e
         * @param customData
         */
        static ClientActionNewRelatedRecordWithAdditionalRelationCallback(): void;
        /**
         * Create new related record setting current form as a parent of it
         * @param e
         * @param customData
         */
        static ClientActionNewRelatedRecord(event: any, customData: CustomData): void;
        /**
        * Add or set a relation target from the source
        * @param e
        * @param customData
        */
        static ClientActionAddTargetsToSource(e: any, customData: CustomData): void;
        /**
         * Create new related record setting current form as a parent of it CALLBACK
         * @param e
         * @param customData
         */
        static ClientActionNewRelatedRecordCallback(isCombinedDetailGrid?: boolean): void;
        /**
        * Create new related record setting currently selected record as a parent of it
        */
        static ClientActionNewRelatedRecordGrid(event: any, customData: CustomData): void;
        /**
         * Form Send an Email
         */
        static ClientActionSendEMail(event: any, customData: CustomData): void;
        /**
         * Delete action from the form
         * @param e
         * @param customData
         */
        static ClientActionFormDeleteRecord(event: any, customData: CustomData): void;
        /**
         * Delete action from the form
         * @param e
         * @param customData
         */
        static ClientActionFormRestoreRecord(event: any, customData: CustomData): void;
        /**
         * Private helper function that html-encodes the given string, thus turning special characters into entities.
         *
         * @param text text to be encoded
         */
        private static EncodeHTML;
        private static RefreshGrid;
        static DeleteRecordUi(recordOid: Classes.Guid, ormType: Classes.Guid, customData: CustomData, formGuid?: Classes.Guid, gridViewName?: string, inDialog?: boolean): void;
        static RestoreRecordUi(recordOid: Classes.Guid | string, formGuid: Classes.Guid | string, gridViewName?: string, openInSameTab?: boolean, inDialog?: boolean): void;
        /** Window setTimout handle for the analyze deletion dependencies toaster */
        private static AnalyzeTimeoutHandle;
        /** Guid identifier for the analyze deletion dependencies toaster */
        private static AnalyzeTimeoutToasterGuid;
        static OpenDeletionConfirmationDialog(recordOid: Classes.Guid, customData: CustomData): void;
        static DeletionConfirmationDialogOnOpen(popup?: Dialog.BADialogPopup): void;
        static DeletionConfirmationDialogOnClose(result: Dialog.DialogResult, customData: CustomData, actionParameters?: CustomData, inDialog?: boolean): void;
        static DeletionConfirmationDialogOnCloseTask(result: Dialog.DialogResult, customData: CustomData): void;
        static DeletionConfirmationDialogAutoConfirmNoPrompt(btn: Dialog.BADialogButton, evt: any): void;
        static DeletionConfirmationDialogAutoConfirm(btn: Dialog.BADialogButton, evt: any): void;
        /**
         * Create new record using a template
         * @param e
         * @param customData
         */
        static ClientActionCreateNewRelatedFromTemplate(event: any, customData: CustomData): void;
        /**
         * Print a Form
         * @param e
         * @param customData
         */
        static ClientActionFormPrint(event: any, customData: CustomData): void;
        /**
         * Print a Form CALLBACK
         * @param e
         * @param customData
         */
        static ClientActionFormPrintCallback(): void;
        /**
         * Action to show record history log
         * @param e
         * @param customData
         */
        static ClientActionShowRecordHistory(event: any, customData: CustomData): void;
        private static GetFieldText;
        /**
         * Client action: Open address on map
         */
        static ClientActionOpenInMap(e: any, customData: CustomData): void;
        static AlertContent(e: any, customData: CustomData): void;
    }
    export interface DeleteResultModel {
        Status: DeleteResultStatus;
        Message: string;
        EntityTitle: string;
        OrmLink: string;
    }
    enum DeleteResultStatus {
        Ok = 0,
        GeneralError = -1,
        RecordDoesNotExist = -2,
        RecordAlreadyInRecycleBin = -3,
        RecordNotPersisted = -4,
        NoPermissionToDelete = -5,
        RecycleBinNotActive = -6,
        MadeDeleteException = -7
    }
    export {};
}
