interface DialogParameters {
    [key: string]: string;
}
declare module BA.Ui.Actions {
    class GridActions {
        /**
         * Action to create new related record settings selected record from grid as a parent.
         */
        static ClientActionGridCreate(event: any, customData: CustomData): void;
        /**
         * Refresh the current grid or tree list
         */
        static ClientActionGridRefresh(event: any, customData: CustomData): void;
        /**
         * Perpare data for mass action and submit the grid form
         * @param customData
         */
        static StartMassOperation(event: any, customData: CustomData): void;
        /**
         * opens a configured url
         * @param e
         */
        static ClientActionOpenUrl(e: any): void;
        static ClientActionSelectGridLayoutConfiguration(s: any, customData: CustomData): void;
        static ClientActionOpenSaveLayoutDialog(event: any, customData: CustomData): void;
        /**
         * Export Translations to csv
         * @param e
         */
        static ClientActionExportTranslations(e: any): void;
        /**
         * Show or hide the group panel in a grid
         */
        static ClientActionGridShowHideGroupingPanel(event: any, customData: CustomData): void;
        /**
         * Show or hide the filter row and filter row menu in a grid
         */
        static ClientActionGridShowHideFilterRow(event: any, customData: CustomData): void;
        /**
         * Show or hide the footer in a grid
         */
        static ClientActionGridShowHideFooter(event: any, customData: CustomData): void;
        /**
         * Show or hide the search in a grid
         */
        static ClientActionGridShowHideSearchPanel(event: any, customData: CustomData): void;
        /**
         * Grid - add new row button
         */
        static ClientActionGridAddRow(event: any, customData: CustomData): void;
        /**
         * Grid - delete row
         */
        static ClientActionGridDeleteRow(event: any, customData: CustomData): void;
        static ClientActionGridDeleteRowCallback(customData: CustomData): void;
        /**
         * Grid - restore row
         */
        static ClientActionGridRestoreRow(event: any, customData: CustomData): void;
        static ClientActionGridRestoreRowCallback(customData: CustomData): void;
        static ClientActionCreateNewFromTemplateGrid(event: any, customData: CustomData): void;
        static ClientActionNewDetail(event: any, customData: CustomData): void;
        static ClientActionNewMaster(event: any, customData: CustomData): void;
        static ClientActionTreeListCollapseAll(event: any, customData: CustomData): void;
        static ClientActionTreeListExpandAll(event: any, customData: CustomData): void;
        /**
         * Double click event for number range admin grid
         */
        static NumberGeneratorsGridDoubleClick(s: ASPxClientControlBase, e: any): void;
        /**
         * Double click event for sync source grid
         */
        static SyncSourceGridDoubleClick(s: ASPxClientControlBase, e: any): void;
        /**
         * Double click event for sync user grid
         */
        static SyncUserGridDoubleClick(s: ASPxClientControlBase, e: any): void;
        /**
         * Single click event for license info grid
         */
        static LicenseGridSingleClick(grid: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        /**
         * Opens the clicked row of a grid in a custom dialog.
         * The formGuid should contail the custom dialog name.
         * @param s Grid
         * @param e Mouse event
         */
        static OpenRecordInCustomDialog(s: ASPxClientControlBase, e: any): void;
        /**
         * deprecated / unused?
         * @param e
         * @param customData
         */
        static ClientActionOpenRecordFromGrid(event: any, customData: CustomData): void;
        /**
         * Create new translation in dialog
         */
        static ClientActionCreateNewTranslation(s: any, customData: CustomData): void;
        /**
        * Create import job in dialog
        */
        static ClientActionCreateImportJob(s: any, e: any): void;
        /**
        * Open MassChange dialog
        */
        static ClientActionMassChangeOpenDialog(event: any, customData: CustomData): void;
        private static GeneralAjaxFail;
    }
}
