declare module BA.Ui.Dialog {
    class SearchInDialogEvents {
        private static handleEmails;
        private static searchTimeoutId;
        private static searchData;
        private static selectedItems;
        /**
         * The main init method: get things ready to go
         *
         * @param sender The search input control
         * @param evt The event data
         */
        static OnInit(sender: any, evt: any): void;
        /**
         * Process the keyup event on the search input
         *
         * @param sender The input control
         * @param evt The event data
         */
        static OnKeyUp(sender: any, evt: any): void;
        /**
         * Process doubleclick event and transfer the element to the picklist token area
         *
         * @param controlName Name of the search control
         * @param oid The oid of the token
         * @param type The type of the token
         * @param title The title of the token
         */
        static DblClickTransfer(controlName: string, oid: string, type: string, title: string): void;
        /**
         * Transfer selected items to picklist area.
         * This is called by the "outer" PickListEvents class or the EmailAddressSelectedDialogEvents class
         * that handles already the "transfer" and "select and ok" actions.
         */
        static TransferSelected(resetSearch?: boolean): void;
        /**
         * Handle click on ok button from dialog
         */
        static SelectAndOk(button: BADialogButton, evt: any): void;
        /**
         * Returns the raw backend value (the already selected elements)
         *
         * @param tokenboxControlName The name of the tokenbox control
         * @returns The selected tokens
         */
        private static GetBackEndValueRaw;
        /**
         * Returns the backend value (the already selected elements) as array of tokens
         *
         * @param tokenboxControlName The name of the tokenbox control
         * @returns An array with all selected tokens
         */
        private static GetBackEndValue;
        /**
         * The search method
         * Uses the already existing search data to get search results from the server and processes the results
         */
        private static Search;
    }
}
